# Google Engineering Practices Documentation

Google has many generalized engineering practices that cover all languages and
all projects. These documents represent our collective experience of various
best practices that we have developed over time. It is possible that open source
projects or other organizations would benefit from this knowledge, so we work to
make it available publicly when possible.

Currently this contains the following documents:

*   [Google's Code Review Guidelines](review/index.md), which are actually two
    separate sets of documents:
    *   [The Code Reviewer's Guide](review/reviewer/index.md)
    *   [The Change Author's Guide](review/developer/index.md)

## Terminology

There is some Google-internal terminology used in some of these documents, which
we clarify here for external readers:

*   **CL**: Stands for "changelist," which means one self-contained change that
    has been submitted to version control or which is undergoing code review.
    Other organizations often call this a "change" or a "patch."
*   **LGTM**: Means "Looks Good to Me." It is what a code reviewer says when
    approving a CL.

## License

The documents in this project are licensed under the CC-By 3.0 License, which
encourages you to share these documents. See
https://creativecommons.org/licenses/by/3.0/ for more details.

<a rel="license" href="https://creativecommons.org/licenses/by/3.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by/3.0/88x31.png" /></a>
